Subtitle ToolsST

Convert to srt

POSThttps://subtitletools.com/api/v1/convert-to-srt

This endpoint is the API version of the convert to srt tool.

Note that this endpoint does not convert sub/idx or sup subtitles.

This endpoint can be used for validating and fixing srt files. Posting an invalid srt file will return an error. Posting a valid srt file will return 200 response. The tool automatically fixes common mistakes in the uploaded srt file.

Request body

FieldTypeRequiredDescription
subtitleFileRequiredThe input file that should be converted to srt
keepTopBooleanSend true and lines at the top of the screen stay there, marked with {\an8}. Send false and every line is at the bottom. false by default.

Example responses

{
    errors: null,
    download_url: "https://subtitletools.com/api/v1/download/6436c844e3"
}

Or, when a validation error occurs:

{
    errors: [
        "The subtitle field is required."
    ],
    download_url: null
}